canonical-identity-provider
===========================

This is a charm to deploy lp:canonical-identity-provider, also known as
Ubuntu SSO.


Dependencies
------------

unit tests: node ansible
deployment tests: juju, juju-deployer


Development
-----------

Run lint and tests:

    make test

Deploy minimal environment base on current trunk. This will checkout and
build sso tarball, may take a while the first time, but is cached for
later builds.

    make deploy

Deploy specific revision

    make deploy BUILD_LABEL=rXXXX

Deploy minimal environment from local sso branch

    make deploy BRANCH=/path/to/branch [BUILD_LABEL=rXXXX]

If you have a previously deployed enviroment, you can just use rollout to upgrade it

    make rollout [BUILD_LABEL=rXXXX] [BRANCH=/path/to/branch]

For developing on the charm whilst deployed, use the juju sync-watch plugin in
different terminal to push your changes up to the unit.

    juju sync-watch sso-app/0

To manually upgrade the charm (e.g. to test the upgrade-charm hook)

    make upgrade-charm

To run a basic health check

    make nagios
